"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const checkType_1 = require("./checkType");
const util_1 = require("./util");
if (typeof expect !== 'undefined') {
    expect.extend({
        toMatchType(value, type, options = {}) {
            const r = checkType_1.checkType(type, value, options);
            return {
                pass: r.pass,
                message: () => `expect value ${util_1.escapeValue(value, options)} to match ${typeof type === 'string' ? `type ${type}` : `types in code "${r.testCode}"`}but it failed with with errors [${r.failErrors ? r.failErrors.map(r => r.message).join('\n') : r.error ? r.error : 'UNKNOWN'}]`,
            };
        },
    });
}
